Help cswiki write TemplateData and citoid config
Closed, ResolvedPublic1 Story Points

Description

We would like to enable Citoid on cs.wp. But it wont work. I have looked at it and I found, there is something wrong with TemplateData in these templates:
https://cs.wikipedia.org/wiki/%C5%A0ablona:Citace_periodika/doc
https://cs.wikipedia.org/wiki/%C5%A0ablona:Citace_monografie/doc

Actually we dont have enough skilled manpower to fix it. Could you fix it and have a look if there are not other bugs to prevent Citoid to be enabled?

Juandev created this task.Nov 17 2015, 11:17 AM
Juandev updated the task description. (Show Details)
Juandev raised the priority of this task from to High.
Juandev added a project: TemplateData.
Juandev added subscribers: Juandev, Aklapper, Vojtech.dostal.
Elitre added a subscriber: Elitre.Nov 17 2015, 3:04 PM
Elitre added a subscriber: Citoid.
Elitre added a subscriber: Mvolz.Nov 17 2015, 3:07 PM

oops, @Mvolz, I made a mistake there, sorry!

Aklapper raised the priority of this task from High to Needs Triage.

I'm resetting the priority to default to let potential developers decide about the urgency of this request.
@Juandev: Thanks for filing this task and making a broader audience aware! Appreciated.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 17 2015, 3:17 PM
Elitre set Security to None.
Elitre removed a subscriber: Citoid.

Not sure if the international community can help us. I believe that knowledge of Czech is needed to correctly fill in the TemplateData [but also the knowledge of how templatedata work]. However, I am happy that this helps to attract attention of Czech Wikipedians who know the tech side of the project.

Elitre added a comment.EditedNov 17 2015, 3:24 PM

So... I think https://cs.wikipedia.org/wiki/MediaWiki:Citoid-template-type-map.json should be changed to point to the actual, local templates? (see example in Italian or French.)

Looking at the cswiki visualeditor-cite-tool-definition.json shows just four templates:

  • Citace monografie (mapped as cite book)
  • Citace elektronické monografie (mapped as cite web)
  • Citace periodika (mapped as cite news)
  • Citace elektronického periodika (also mapped as cite news)

Looking at the local gadget for the wikitext editor, cswiki has an additional four:

  • Citace sborníku (for conference papers?)
  • Citace kvalifikační práce (I guess for academic works?)
  • Citace právního předpisu (for laws?)
  • Citace Sbírky zákonů (for… different kinds of law?)

If we include the second set, I'd recommend the following:

{
    "book": "Citace monografie",
    "bookSection": "Citace monografie",
    "journalArticle": "Citace kvalifikační práce",
    "magazineArticle": "Citace periodika",
    "newspaperArticle": "Citace periodika",
    "thesis": "Citace kvalifikační práce",
    "letter": "Citace monografie",
    "manuscript": "Citace monografie",
    "interview": "Citace monografie",
    "film": "Citace monografie",
    "artwork": "Citace monografie",
    "webpage": "Citace elektronické monografie",
    "report": "Citace kvalifikační práce",
    "bill": "Citace právního předpisu",
    "hearing": "Citace právního předpisu",
    "patent": "Citace právního předpisu",
    "statute": "Citace právního předpisu",
    "email": "Citace elektronické monografie",
    "map": "Citace monografie",
    "blogPost": "Citace elektronické monografie",
    "instantMessage": "Citace monografie",
    "forumPost": "Citace elektronické monografie",
    "audioRecording": "Citace periodika",
    "presentation": "Citace periodika",
    "videoRecording": "Citace periodika",
    "tvBroadcast": "Citace periodika",
    "radioBroadcast": "Citace periodika",
    "podcast": "Citace elektronického periodika",
    "computerProgram": "Citace elektronického periodika",
    "conferencePaper": "Citace sborníku",
    "document": "Citace monografie",
    "encyclopediaArticle": "Citace kvalifikační práce",
    "dictionaryEntry": "Citace kvalifikační práce"
}

However, the TemplateData for these eight templates, including the map to let citoid work, needs to be written first before doing this.

(In the mean time, I have deleted cswiki's broken citoid-template-type-map.json so that it doesn't keep breaking the editor for users.)

Jdforrester-WMF renamed this task from Repair TemplateData to enable Citoid on cs.wp to Help cswiki write TemplateData and citoid config.Nov 17 2015, 4:39 PM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF claimed this task.
Jdforrester-WMF edited a custom field.

So TD in the templates I have mentioned are not erroneous?

Jklamo added a subscriber: Jklamo.Dec 23 2015, 9:40 PM

Looking at the cswiki visualeditor-cite-tool-definition.json shows just four templates:

  • Citace monografie (mapped as cite book)
  • Citace elektronické monografie (mapped as cite web)
  • Citace periodika (mapped as cite news)
  • Citace elektronického periodika (also mapped as cite news)

Looking at the local gadget for the wikitext editor, cswiki has an additional four:

  • Citace sborníku (for conference papers?)
  • Citace kvalifikační práce (I guess for academic works?)
  • Citace právního předpisu (for laws?)
  • Citace Sbírky zákonů (for… different kinds of law?)

Citace sborníku = for conference papers (enwiki Cite conference)
Citace kvalifikační práce = for thesis (enwiki Cite thesis)
Citace právního předpisu = for laws (enwiki Cite act)
Citace Sbírky zákonů = for Czech Government gazette (combination of Cite act and Cite magazine)

There are more citation templates on cswiki:
Šablona:Citace bible = for Bible (not exact enwiki equivalent Bibleverse)
Šablona:Citace normy = for technical standard (no enwiki equivalent)
Šablona:Citace patentu = for patents (enwiki Cite patent)
Šablona:Citace soudního rozhodnutí = for court cases (enwiki Cite court)

However, the TemplateData for these eight templates, including the map to let citoid work, needs to be written first before doing this.

TemplateData seems to be filled for me for these eight templates. Not sure what do you mean with map, cswiki has no special citation template for map.

Working on it at the moment. All templates now have TemplateData with maps, now I am going to test it and improve those mappings.

matej_suchanek closed this task as Resolved.Dec 25 2015, 9:48 AM

Successfully deployed, see video.

Jdforrester-WMF moved this task from Backlog to Doing on the TemplateData board.Jan 15 2016, 9:21 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 16 2017, 9:13 AM

Somehow I completely missed the existence of this ticket, ah well.

I just added 'case' to the message; it was missing due to the fact that I made this error on en wiki and it propagated as everyone just copied that, whoops. We could probably put Šablona:Citace soudního rozhodnutí in there instead of monografie but needs a map first.